<!DOCTYPE html>
<html>
    <head>
        <title>Boards - AAC Tools by Meerchat AAC</title>

        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <meta
            name="description"
            content="Create, share, use AAC boards right on AAC tools or print them out for low tech solutions."
        />
        <meta name="apple-mobile-web-app-capable" content="yes" />
        <meta name="robots" content="index" />

        <link
            rel="icon"
            href="./images/aac.tools.svg"
            type="image/svg+xml"
            sizes="any"
        />
        <link type="text/css" rel="stylesheet" href="./style/style.min.css" />
        <link type="text/css" rel="stylesheet" href="https://assets.meerchat.app/js/pagination/style/pagination.min.css" />

        <script src="https://cdn.passwordless.dev/dist/1.1.0/umd/passwordless.umd.min.js" crossorigin="anonymous"></script>
        <script src="https://assets.meerchat.app/js/aac/aac.js"></script>
        <script src="https://assets.meerchat.app/js/api/api.js"></script>
        <script src="https://assets.meerchat.app/js/pagination/pagination.min.js"></script>
        <script src="./js/tools.js"></script>
    </head>
    <body>
        <header>
            <img src ="./images/aac.tools.svg" alt="AAC Tools" />
            <span class="title">AAC tools</span>
            <user-details style="height: 5rem;"></user-details>
        </header>
        <div id="boards">
            <div class="toolbar">
                <!-- <button id="newBoard" class="button">New Board</button>
                <button id="editBoard" class="button">Edit Board</button>
                <button id="copyBoard" class="button">Copy Board</button> -->

                <div id="searchBoards" class="button disabled" title="Search Boards"><i class="far fa-search"></i></div>
                <div id="createBoard" class="button" title="Create Board"><i class="far fa-plus"></i></div>
                <div class="spacer"></div>
                <div id="shareBoard" class="button disabled" title="Share Board"><i class="far fa-share-alt"></i></div>
                <div id="printBoard" class="button disabled" title="Print Board"><i class="far fa-print"></i></div>

                

                <!-- <button id="saveBoard" class="button">Save Board</button>
                <button id="deleteBoard" class="button">Delete Board</button> -->
            </div>
            <div class="search">
                <div class="bar">
                    <search-bar placeholder="Search Boards">
                </div>
                <div class="results"></div>
                <div id="pagination"></div>
            </div>
            <div class="view hidden"></div>
        </div>
        <site-footer></site-footer>
        <div id="dialog" class="hidden"></div>
        <div id="loaderShroud"></div>
        <div id="shareBoardMessage" class="modal hidden">
            <div class="title">
                <span>Sharing is caring!</span>
                <div class="close" onclick="(() => document.querySelector('#shareBoardMessage').classList.add('hidden'))()">
                    <i class="far fa-times"></i>
                </div>
            </div>
            <div class="body">
                <span id="shareCode" class="center"><qr-code></qr-code></span>
                <span>Scan/share the QR code or send the link below to share this board.</span>
                <span id="shareLinkElement" class="center">
                    <input type="text" id="shareLink" disabled/>
                    <i onclick="(() => window.Tools.utility.copyToClipboard(document.querySelector('#shareLink')))()" class="far fa-copy"></i>
                </span>
                
            </div>
            <div class="foot-note right">
                <b>P.S.</b> - Checkout the whole <a href="https://meerchat.app/hello">Meerchat</a> app too, it's <u>FREE</u>!
            </div>
        </div>
        <div id="newBoardMessage" class="modal hidden">
            <div class="title">
                <span>Ready to redefine communication possibilities?</span>
                <div class="close" onclick="(() => document.querySelector('#newBoardMessage').classList.add('hidden'))()">
                    <i class="far fa-times"></i>
                </div>
            </div>
            <div class="body">
                <span>
                    Join <a href="https://meerchat.app/hello" title="Meerchat">Meerchat AAC</a> now and become 
                    an essential part of the mission to provide Augmentative and Alternative Communication
                    (AAC) for everyone! 🤝 🌐
                </span>
                <span>
                    By creating, managing and sharing personalized communication boards, you're not just expressing 
                    yourself — you're contributing to a more inclusive world. Click 
                    <a href="https://meerchat.app/hello" title="Meerchat">here</a> to join us in breaking down 
                    communication barriers and ensuring that every voice is heard!
                </span>
            </div>
            <div class="foot-note right">
                <b>P.S.</b> - it's <u>FREE</u> too, so you should check it out!
            </div>
        </div>

        <script>
            // define settings
            const settings = {
                debug: false,
            };

            // add the web components after the app loads to make sure we have the available
            const components = [
                { path: 'website/footer', shared: false },
                { path: 'search-bar', shared: true },
                { path: 'user-details', shared: true },
                { path: 'qr-code', shared: true },
            ];
            components.forEach((c) => {
                let url = '.';
                if (c.shared) {
                    url = settings.debug ? `https://assets.meerchat.app` : `https://assets.meerchat.app`;
                }

                const script = document.createElement('script');
                script.src = `${url}/js/components/${c.path}/${settings.debug ? 'component.js' : 'component.min.js'}`;
                document.body.appendChild(script);
            });

            // start the app
            window.Tools = null;
            const run = async () => {
                window.Tools = await Application(settings);

                // initialize the searcher
                window.Tools.boards.init()
            };
            run();
        </script>
    </body>
</html>